#****************************************************************************
#**
#**  Author(s):  William Holmes
#**
#**  Summary  :  UEF Railgun Tank Script
#**
#**  Copyright © 2008 Firebird Industries, Inc.  All rights reserved.
#****************************************************************************
local TLandUnit = import('/lua/terranunits.lua').TLandUnit
local TDFIonizedPlasmaCannon = import('/lua/terranweapons.lua').TDFIonizedPlasmaCannon
local TIFCruiseMissileUnpackingLauncher = import('/lua/terranweapons.lua').TIFCruiseMissileUnpackingLauncher

UEL0301 = Class(TLandUnit) {
    Weapons = {
        RailGun = Class(TDFIonizedPlasmaCannon) {},
        
		MissileLauncher = Class(TIFCruiseMissileUnpackingLauncher) {
            FxMuzzleFlash = {'/effects/emitters/terran_mobile_missile_launch_01_emit.bp'},
        },
    },
}

TypeClass = UEL0301